#VU18645 Use-after-free


Published: 2019-05-31

Vulnerability identifier: #VU18645

Vulnerability risk: High

CVSSv3.1:

CVE-ID: CVE-2019-5018

CWE-ID: CWE-416

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
SQLite
Server applications / Database software

Vendor: SQLite

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within the window function functionality. A remote attacker can send a specially crafted SQL command to the application, trigger user-after-free error and execute arbitrary code on the system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

SQLite: 3.26.0 - 3.27.0


CPE

External links
http://talosintelligence.com/vulnerability_reports/TALOS-2019-0777


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability